Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model
Class SetModel

    java.lang.Object
      org.springframework.webflow.engine.model.AbstractModel
          org.springframework.webflow.engine.model.AbstractActionModel
              org.springframework.webflow.engine.model.SetModel

All Implemented Interfaces:
  Model

    public class SetModel

extends AbstractActionModel

Model support for set actions.

Sets an attribute value in a scope.

Author:
  Scott Andrews

Constructor Summary
`SetModel(java.lang.String name, java.lang.String value)` Create a set action model

Method Summary
`Model` | `createCopy()` Create a deep copy of this model.
`java.lang.String` | `getName()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValue()`
`void` | `setName(java.lang.String name)`
`void` | `setType(java.lang.String type)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.springframework.webflow.engine.model.AbstractActionModel
`fillCopy, getAttributes, isMergeableWith, merge, setAttributes`

Methods inherited from class org.springframework.webflow.engine.model.AbstractModel
`copy, copyList, merge, merge, merge, merge, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetModel

    public SetModel(java.lang.String name,
                    java.lang.String value)

  Create a set action model

  Parameters:
    `name` - the name of the property to set
    `value` - the value to set

Method Detail

### createCopy

    public Model createCopy()

  Description copied from interface: `Model`
  Create a deep copy of this model. Needed when merging models and collections.

  Returns:
    a deep copy of this model

### getName

    public java.lang.String getName()

  Returns:
    the name

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - the name to set

### getValue

    public java.lang.String getValue()

  Returns:
    the value

### setValue

    public void setValue(java.lang.String value)

  Parameters:
    `value` - the value to set

### getType

    public java.lang.String getType()

  Returns:
    the type

### setType

    public void setType(java.lang.String type)

  Parameters:
    `type` - the type to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD